1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get by id care history
      • Create company
      • Get all care history
  • Đơn hàng
    • v1
      • Get by id
      • Get all order
      • Get Passengers Order
      • Create order tour
      • Create order product
      • Create order hotel
      • Create order flight
      • Confirm payment order
      • Cancel order
      • Import Order Flight
      • Create cost order
      • Update cost order
      • Delete cost order
  • Điều hành
    • v1
      • Overview
      • Create row cost
      • Update row cost
      • Delete row cost
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
  • Nhà cung cấp
    • v1
      • Get all suppliers
      • Get suppliers products
      • Get all tour guides
      • Create Supplier & Hotel
      • Create Prices Suppliers products
      • Append Prices Hotel
  • Lịch khởi hành
    • v1
      • Get all tour
        GET
      • Create tour
        POST
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Get all
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Hạng thành viên
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
    • Phương thức thanh toán
      • Get All
    • Nguồn bán hàng
      • Get All
    • Phễu chuyển đổi lead
      • Trạng thái lead
      • Trạng thái báo giá
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  1. v1

Get all tour

GET
/api/v1/tours
Lấy danh sách lịch khởi hành

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/api/v1/tours?start_date=01%2F03%2F2026&end_date=31%2F03%2F2026' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "id": 1065,
            "code": "TD1065",
            "name": "Sản phẩm 01 ghép 02/03",
            "departure_date": "02/03/2026",
            "return_date": "02/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [
                {
                    "rule_id": 1,
                    "rule_name": "Người lớn",
                    "price": "2,500,000",
                    "agent_discounts": [
                        {
                            "agent_level_id": 1,
                            "agent_level_name": "Cấp 1",
                            "discount_type": "specific_amount",
                            "discount_value": 100,
                            "formatted_value": "100VND"
                        },
                        {
                            "agent_level_id": 2,
                            "agent_level_name": "Cấp 2",
                            "discount_type": "specific_amount",
                            "discount_value": 200,
                            "formatted_value": "200VND"
                        },
                        {
                            "agent_level_id": 3,
                            "agent_level_name": "Cấp 3",
                            "discount_type": "specific_amount",
                            "discount_value": 300,
                            "formatted_value": "300VND"
                        },
                        {
                            "agent_level_id": 4,
                            "agent_level_name": "Đại lý VIP",
                            "discount_type": "specific_amount",
                            "discount_value": 400,
                            "formatted_value": "400VND"
                        }
                    ],
                    "staff_commissions": []
                }
            ],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1066,
            "code": "TD1066",
            "name": "Sản phẩm 01 ghép 03/03",
            "departure_date": "03/03/2026",
            "return_date": "03/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1067,
            "code": "TD1067",
            "name": "Sản phẩm 01 ghép 09/03",
            "departure_date": "09/03/2026",
            "return_date": "09/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1068,
            "code": "TD1068",
            "name": "Sản phẩm 01 ghép 10/03",
            "departure_date": "10/03/2026",
            "return_date": "10/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1069,
            "code": "TD1069",
            "name": "Sản phẩm 01 ghép 16/03",
            "departure_date": "16/03/2026",
            "return_date": "16/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1070,
            "code": "TD1070",
            "name": "Sản phẩm 01 ghép 17/03",
            "departure_date": "17/03/2026",
            "return_date": "17/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1071,
            "code": "TD1071",
            "name": "Sản phẩm 01 ghép 23/03",
            "departure_date": "23/03/2026",
            "return_date": "23/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1072,
            "code": "TD1072",
            "name": "Sản phẩm 01 ghép 24/03",
            "departure_date": "24/03/2026",
            "return_date": "24/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1073,
            "code": "TD1073",
            "name": "Sản phẩm 01 ghép 30/03",
            "departure_date": "30/03/2026",
            "return_date": "30/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        },
        {
            "id": 1074,
            "code": "TD1074",
            "name": "Sản phẩm 01 ghép 31/03",
            "departure_date": "31/03/2026",
            "return_date": "31/03/2026",
            "status": "Mở bán",
            "type": "Tour ghép khách",
            "availability": {
                "total_seat": 12,
                "total_booked": 0,
                "total_available": 12
            },
            "price_rules": [],
            "agent_levels": [],
            "product": {
                "id": 209,
                "name": "FNE Langkawi - Malaysia 4N3Đ",
                "slug": "tour-ha-giang-song-nho-que-hung-vi-3-ngay-2-dem-tu-ha-noi-2024",
                "url": null,
                "active": 1,
                "hot": 0,
                "star": 5,
                "avatar": "/img/no-image.jpg",
                "price_old": "0",
                "price_new": "2,000,000",
                "discount": {
                    "amount": 0,
                    "unit": "%"
                },
                "market": "Outbound",
                "type": null,
                "duration": "4 Ngày 3 Đêm",
                "trip_title": "Việt Nam - Việt Nam",
                "weekly_depart": null,
                "created_at": "2018-10-01 07:53:27",
                "updated_at": "2018-10-01 07:53:27"
            }
        }
    ],
    "links": {
        "first": "http://tour.upwell.test/api/v1/tours?page=1",
        "last": "http://tour.upwell.test/api/v1/tours?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [
            {
                "url": null,
                "label": "&laquo; Trước",
                "active": false
            },
            {
                "url": "http://tour.upwell.test/api/v1/tours?page=1",
                "label": "1",
                "active": true
            },
            {
                "url": null,
                "label": "Sau &raquo;",
                "active": false
            }
        ],
        "path": "http://tour.upwell.test/api/v1/tours",
        "per_page": 50,
        "to": 10,
        "total": 10
    }
}
Modified at 2026-03-03 16:30:12
Previous
Append Prices Hotel
Next
Create tour
Built with